package com.qxgmat.dto.response;

import com.alibaba.fastjson.JSONObject;
import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserQuestion;
import com.qxgmat.dto.extend.QuestionBaseExtendDto;
import com.qxgmat.dto.extend.QuestionDetailExtendDto;
import com.qxgmat.dto.extend.QuestionNoExtendDto;
import com.qxgmat.dto.extend.UserNoteExtendDto;

import java.util.List;

@Dto(entity = UserQuestion.class)
public class UserQuestionBaseDto {
    private Integer id;

    private Integer questionId;

    private Integer questionNoId;

    private QuestionBaseExtendDto question;

    private QuestionNoExtendDto questionNo;

    private List<QuestionNoExtendDto> questionNos;

    private Boolean collect;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public Integer getQuestionNoId() {
        return questionNoId;
    }

    public void setQuestionNoId(Integer questionNoId) {
        this.questionNoId = questionNoId;
    }

    public QuestionBaseExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionBaseExtendDto question) {
        this.question = question;
    }

    public List<QuestionNoExtendDto> getQuestionNos() {
        return questionNos;
    }

    public void setQuestionNos(List<QuestionNoExtendDto> questionNos) {
        this.questionNos = questionNos;
    }

    public Boolean getCollect() {
        return collect;
    }

    public void setCollect(Boolean collect) {
        this.collect = collect;
    }

    public QuestionNoExtendDto getQuestionNo() {
        return questionNo;
    }

    public void setQuestionNo(QuestionNoExtendDto questionNo) {
        this.questionNo = questionNo;
    }
}
